stages:
  - build

build:
  stage: build
  services:
    - docker:dind
  variables:
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
    NAME: cep-cataloger
    OWNER: interscity/interscity-platform

  image: docker:stable
  only:
    - master
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script:
    #tests are performed automatically by maven when building
    - docker build -t $CI_REGISTRY/$OWNER/$NAME .
    - docker push $CI_REGISTRY/$OWNER/$NAME
